summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-05-09 00:26:33 +0100
committerLeah Rowe <leah@libreboot.org>2025-05-09 00:26:33 +0100
commit23486abef3abafbe36b34ebac880f993804356f3 (patch)
tree1b77339dee0279570443e133bf04734140f4936e
parent91220ce1833e4980097cff9674e2481cb2b24e07 (diff)
inject.sh: use direct comparison for metmp
use of the e function would slow down execution, and it's mostly unnecessary in this case. the e function is only needed if we want to confirm via user message that a file exists. that is not needed here. Signed-off-by: Leah Rowe <leah@libreboot.org>
-rw-r--r--include/inject.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/include/inject.sh b/include/inject.sh
index 135df0c2..8485d7e8 100644
--- a/include/inject.sh
+++ b/include/inject.sh
@@ -162,7 +162,7 @@ extract_intel_me()
find_me()
{
- e "$_metmp" f && exit 1
+ [ -f "$_metmp" ] && exit 1
[ -L "$1" ] && return 0
_7ztest="${_7ztest}a" && _r="-r" && [ -n "$mfs" ] && _r=""
@@ -171,7 +171,7 @@ find_me()
"$mecleaner" $mfs $_r -t -O "$_metmp" "$1" || "$me7updateparser" \
-O "$_metmp" "$1" || extract_archive "$1" "$_7ztest" || return 0
- e "$_metmp" f && exit 1
+ [ -f "$_metmp" ] && exit 1
( fx_ find_me x_ find "$_7ztest" -type f ) || exit 1; :
}